Bug 237975 - Switching Between Multiple X Sessions Can Result in Lost Sessions
Switching Between Multiple X Sessions Can Result in Lost Sessions
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-26 08:39 EDT by Devan Goodwin
Modified: 2008-03-07 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 17:10:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from my system immediately after the problem occurred. (24.25 KB, text/plain)
2007-04-26 08:39 EDT, Devan Goodwin
no flags Details
Xorg.0.log.old from my system immediately after the problem occurred. (25.48 KB, application/octet-stream)
2007-04-26 08:40 EDT, Devan Goodwin
no flags Details
Xorg.20.log from my system immediately after the problem occurred. (24.72 KB, text/plain)
2007-04-26 08:46 EDT, Devan Goodwin
no flags Details

  None (edit)
Description Devan Goodwin 2007-04-26 08:39:17 EDT
Description of problem:

Multiple X sessions frequently results in original session being logged out.
After creating multiple X sessions, switching back and forth will eventually
result in a view of the console followed by the spawning of a new GDM login
screen. The process looks exactly like that happens when you log out the last
user from X and the system restarts gdm. It does not appear to be a crash or
anything like that, at no point (when the switch fails) do I see the expected
user X session. The session you were expecting to see is destroyed, but the
others seem to remain running.

How reproducible:

Intermittent, it happens very frequently on my system that I'm testing F7T3 on,
but I can't seem to make it happen on demand. For instance last night I tried
logging in three concurrent users and switching back and forth, it worked fine.
I left the second one logged in over night, in the morning attempted to switch
to the second users desktop (worked) and returned to the first (didn't work) on
the first try.

Steps to Reproduce:

1. Login with first user account.
2. Spawn a second login either with Applications -> System Tools -> New Login
*OR* the user switcher Gnome applet and login with a different user account.
3. Switch back to first user account, either with Control + Alt + F7 or the user
switcher.

As mentioned above this is not necessarily guaranteed to happen and it may take
some time for the problem to surface, I haven't yet been able to isolate exactly
what has to happen for it to take place.
  
Additional info:

Using Nvidia's driver built from srpm on Livna against the most recent Fedora 7
kernel. 

Not sure if they will be helpful but attaching three X logs from my system as
well as this snippit from /var/log/messages:

Apr 26 08:13:35 kramer gdm[3316]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
Apr 26 08:13:35 kramer Synergy 1.3.1: FATAL: CXWindowsScreen.cpp,1590: X display
has unexpectedly disconnected
Apr 26 08:13:35 kramer gconfd (dev-3444): Received signal 15, shutting down cleanly
Apr 26 08:13:35 kramer gconfd (dev-3444): Exiting
Apr 26 08:13:41 kramer gdmgreeter[22863]: minimum height is 768
Apr 26 08:13:41 kramer gdmgreeter[22863]: minimum height is 768
Comment 1 Devan Goodwin 2007-04-26 08:39:17 EDT
Created attachment 153504 [details]
Xorg.0.log from my system immediately after the problem occurred.
Comment 2 Devan Goodwin 2007-04-26 08:40:05 EDT
Created attachment 153505 [details]
Xorg.0.log.old from my system immediately after the problem occurred.
Comment 3 Devan Goodwin 2007-04-26 08:46:01 EDT
Created attachment 153507 [details]
Xorg.20.log from my system immediately after the problem occurred.
Comment 4 Devan Goodwin 2007-06-05 13:16:08 EDT
I believe this issue is related to the binary nvidia driver and that this means
it is beyond the scope of official Fedora support. Will be working to track down
the fit through other forums.
Comment 5 jmccann 2008-03-07 17:10:08 EST
Closing per comment #4.

Note You need to log in before you can comment on or make changes to this bug.